Patchwork [0/1] multilib.bbclass: Expand the WHITELISTs with multilib prefix

login
register
mail settings
Submitter jackie huang
Date Aug. 2, 2013, 9:46 a.m.
Message ID <cover.1375436283.git.jackie.huang@windriver.com>
Download mbox
Permalink /patch/54971/
State New
Headers show

Pull-request

git://git.pokylinux.org/poky-contrib jhuang0/d_gplv3_0801_2

Comments

jackie huang - Aug. 2, 2013, 9:46 a.m.
From: Jackie Huang <jackie.huang@windriver.com>

Tested with:
require conf/multilib.conf
MULTILIBS = "multilib:lib32"
DEFAULTTUNE_virtclass-multilib-lib32 = "x86"
INCOMPATIBLE_LICENSE = "GPLv3"

--
The following changes since commit f192c444c2d88c49738bea4ff4c3af0cc72916de:

  texinfo: Update to 5.1 (2013-07-31 06:56:28 +0100)

are available in the git repository at:
  git://git.pokylinux.org/poky-contrib jhuang0/d_gplv3_0801_2
  http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=jhuang0/d_gplv3_0801_2

Jackie Huang (1):
  multilib.bbclass: Expand the WHITELISTs with multilib prefix

 meta/classes/multilib.bbclass |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)
jackie huang - Aug. 27, 2013, 7:32 a.m.
Could anyone look at this? It's been a long time here, but no comments 
and is not merged yet.

Thanks,
Jackie

On 8/2/2013 5:46 PM, jackie.huang@windriver.com wrote:
> From: Jackie Huang <jackie.huang@windriver.com>
>
> Tested with:
> require conf/multilib.conf
> MULTILIBS = "multilib:lib32"
> DEFAULTTUNE_virtclass-multilib-lib32 = "x86"
> INCOMPATIBLE_LICENSE = "GPLv3"
>
> --
> The following changes since commit f192c444c2d88c49738bea4ff4c3af0cc72916de:
>
>    texinfo: Update to 5.1 (2013-07-31 06:56:28 +0100)
>
> are available in the git repository at:
>    git://git.pokylinux.org/poky-contrib jhuang0/d_gplv3_0801_2
>    http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=jhuang0/d_gplv3_0801_2
>
> Jackie Huang (1):
>    multilib.bbclass: Expand the WHITELISTs with multilib prefix
>
>   meta/classes/multilib.bbclass |    7 +++++++
>   1 files changed, 7 insertions(+), 0 deletions(-)
>
Mark Hatle - Aug. 28, 2013, 6:54 p.m.
On 8/27/13 2:32 AM, jhuang0 wrote:
> Could anyone look at this? It's been a long time here, but no comments
> and is not merged yet.

This is definitely still needed in oe-core.  Without this the license 
whitelist/blacklist doesn't work as expected when multilibs are enabled.

The only alternative would be to change where the whitelist/blacklist is 
evaluated to look for the version w/o the multilib name.  But I don't believe 
that can be done easily (or perhaps at all.)

--Mark

> Thanks,
> Jackie
>
> On 8/2/2013 5:46 PM, jackie.huang@windriver.com wrote:
>> From: Jackie Huang <jackie.huang@windriver.com>
>>
>> Tested with:
>> require conf/multilib.conf
>> MULTILIBS = "multilib:lib32"
>> DEFAULTTUNE_virtclass-multilib-lib32 = "x86"
>> INCOMPATIBLE_LICENSE = "GPLv3"
>>
>> --
>> The following changes since commit f192c444c2d88c49738bea4ff4c3af0cc72916de:
>>
>>     texinfo: Update to 5.1 (2013-07-31 06:56:28 +0100)
>>
>> are available in the git repository at:
>>     git://git.pokylinux.org/poky-contrib jhuang0/d_gplv3_0801_2
>>     http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=jhuang0/d_gplv3_0801_2
>>
>> Jackie Huang (1):
>>     multilib.bbclass: Expand the WHITELISTs with multilib prefix
>>
>>    meta/classes/multilib.bbclass |    7 +++++++
>>    1 files changed, 7 insertions(+), 0 deletions(-)
>>
>